package com.example.demo.controller;

import com.example.demo.model.JsonResponse;
import com.example.demo.model.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api")
public class WebController {

    @GetMapping("/hello")
    public JsonResponse<String> result(){
        return new JsonResponse<>(Result.OK, "hello");
    }
}
